import datetime
from dataclasses import dataclass, field
from typing import Any

from typing_extensions import Self

from core.types.Id import Id


@dataclass
class WorkerStatus:
	ownerId: Id[Any]
	ramAvailable: float
	cpuUtilization: float
	createdAt: int = field(default_factory=lambda: int(datetime.datetime.now().timestamp()))

	id: Id[Self] = Id.field()
