from dataclasses import dataclass
from datetime import timedelta

from core.domain.map.CrnAttributes import CrnAttributes
from core.domain.map.GeoLocation import GeoLocation


@dataclass(eq=True, frozen=False)
class Package:
	id: str
	pickup: GeoLocation
	dropof: GeoLocation
	weight: float
	volume: float
