from dataclasses import dataclass, field

from core.domain.map.RouteMatrix import RouteMatrix
from core.domain.optimization.OptimizationPoint import OptimizationPoint
from core.domain.optimization.TransportMode import TransportMode


@dataclass
class OptimizationFiles:
	optimizationPoints: list[OptimizationPoint] = field(default_factory=list)
	routeMatrices: dict[TransportMode, RouteMatrix] = field(default_factory=dict)
